## dhis-mx-sendmail-engine 5.0

=== Makefile ===
# -
# Copyright (c) 1998-2001 Joao Cabral (jcnc@dhis.org)
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#      DHIS(c)  Dynamic Host Information System Release 5.0

CC=gcc
CFLAGS=-Wall
LFLAGS=
LIBS= 
RM=rm -f

INSTALLDIR=/etc/dhis/bin
MODE=700
OWNER=root
MKDIR=mkdir -p
CHOWN=chown
CHMOD=chmod
CP=cp


dhis-mx-sendmail-engine:dhis-mx-sendmail-engine.c
	$(CC) $(CFLAGS) $(LFLAGS) -o dhis-mx-sendmail-engine dhis-mx-sendmail-engine.c $(LIBS)
	strip dhis-mx-sendmail-engine

install: dhis-mx-sendmail-engine
	$(MKDIR) $(INSTALLDIR)
	$(CP) dhis-mx-sendmail-engine $(INSTALLDIR)
	$(CHOWN) $(OWNER) $(INSTALLDIR)/dhis-mx-sendmail-engine
	$(CHMOD) $(MODE) $(INSTALLDIR)/dhis-mx-sendmail-engine

clean:
	$(RM) *.core core dhis-mx-sendmail-engine *.o

=== debian/changelog ===
dhis-mx-sendmail-engine (5.0-5) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0.
  * Don't strip during build. Closes: #969749

 -- Bastian Germann <bage@debian.org>  Mon, 07 Aug 2023 23:41:32 +0200

dhis-mx-sendmail-engine (5.0-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #963915)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 08:47:01 -0300

dhis-mx-sendmail-engine (5.0-3) unstable; urgency=medium

  * Bump debhelper compat level. Closes: #800186
  * Bump Standards-Version.
  * Replace debian/rules with one using dh.

 -- Guus Sliepen <guus@debian.org>  Sun, 27 Sep 2015 19:54:42 +0200

dhis-mx-sendmail-engine (5.0-2) unstable; urgency=low

  * #include <stdarg.h> instead of <varargs.h>. Closes: #194896

 -- Guus Sliepen <guus@debian.org>  Tue, 27 May 2003 17:19:33 +0200

dhis-mx-sendmail-engine (5.0-1) unstable; urgency=low

  * Initial Release.

 -- Guus Sliepen <guus@debian.org>  Sat, 22 Jun 2002 12:42:24 +0200

=== debian/control ===
Source: dhis-mx-sendmail-engine
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6

Package: dhis-mx-sendmail-engine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dhis-server, sendmail
Description: Dynamic Host Information System - sendmail MX engine
 This package contains a mail relaying service module to be used
 with dhisd release 5 or above and the dynamic DNS module.
 .
 While the DHIS server dhisd retrieves dynamic IP addresses
 from clients, this module allows the server to deliver messages
 that were previously queued for the newly online host.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- STRIP=true
